%def_enable corba

Name: zinf
Version: 2.2.4
Release: alt1

Summary: File and streaming MP3/OggVorbis/Audio CD player/jukebox
License: GPL
Group: Sound
Url: http://%name.sourceforge.net
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: %name-%version.tar.gz
Source1: %name.menu
Source2: %name.png

%define cname   Zinf
%define musicbrainz_ver 2.0.2

Requires: libmusicbrainz >= %musicbrainz_ver

BuildPreReq: libmusicbrainz-devel >= %musicbrainz_ver

# Automatically added by buildreq on Fri Aug 22 2003
BuildRequires: ORBit-devel XFree86-devel XFree86-libs esound-devel freetype-devel gcc-c++ gdk-pixbuf-devel glib-devel glibc-devel-static gtk+-devel id3lib-devel indent libORBit libalsa-devel libarts-devel libaudiofile-devel libexpat-devel libgdbm-devel libmusicbrainz-devel libncurses-devel libogg-devel libstdc++-devel libtinfo-devel libvorbis-devel libwrap nasm pkgconfig zlib-devel

%description
%cname is an MP3/OggVorbis/AudioCD player/jukebox that can play local files,
SHOUTcast/icecast streams and RTP MPEG streams. It features a Themed interface,
which also supports WinAmp and KJofol skins, and it also supports automated
download from RMP enabled music sites like emusic.com.

%package esd
Summary: Zinf - Zinf plugin for ESD output
Group: Sound
Requires: %name = %version-%release
Requires: esound >= 0.2.12

%description esd
Zinf plugin for ESD output

# -------------------------------------------------------------------------
# Alsa Package defines
# -------------------------------------------------------------------------
%package alsa
Summary: Zinf - Zinf plugin for ALSA output
Group: Sound
Requires: %name = %version-%release
Requires: alsa >= 0.5.0

%description alsa
Zinf plugin for ALSA output

# -------------------------------------------------------------------------
# Arts Package defines
# -------------------------------------------------------------------------
%package arts
Summary: Zinf - Zinf plugin for Arts output
Group: Sound
Requires: %name = %version-%release
Requires: arts >= 1.1

%description arts
Zinf plugin for Arts output plugin

# -------------------------------------------------------------------------
# Vorbis Package defines
# -------------------------------------------------------------------------
%package vorbis
Summary: Zinf - Zinf plugin for Vorbis playback
Group: Sound
Requires: %name = %version-%release
Requires: libogg >= 1.0beta4, libvorbis >= 1.0beta4

%description vorbis
Zinf plugin for Vorbis playback

# -------------------------------------------------------------------------
# Extras Package defines
# -------------------------------------------------------------------------
%package extras
Summary: Zinf - All the remaining plugins (mpg123 ui, cmdline ui, ncurses ui, irman, lcd)
Group: Sound
Requires: %name = %version-%release

%description extras
All the remaining plugins (mpg123 ui, cmdline ui, ncurses ui, irman, lcd)

# -------------------------------------------------------------------------
# Corba Package defines
# -------------------------------------------------------------------------
%package corba
Summary: Zinf - Corba remote control interface
Group: Sound
Requires: %name = %version-%release
Requires: ORBit >= 0.5.0

%description corba
Corba remote control interface plugin

# -------------------------------------------------------------------------
# Prep and build stuff
# -------------------------------------------------------------------------
%prep
%setup -q -n %name-%version

%build
%configure \
    %{subst_enable corba}

%make_build

# -------------------------------------------------------------------------
# Install section
# -------------------------------------------------------------------------
%install
%makeinstall
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE2 %buildroot%_datadir/pixmaps/%name.png

%__cat <<__DESKTOP__ >%name.desktop
[Desktop Entry]
Name=Zinf audio player
Exec=zinf
Info=Zinf audio player
Icon=%_datadir/pixmaps/zinf.png
Terminal=false
MultipleArgs=false
Type=Application
Categories=GNOME;Application;AudioVideo;
__DESKTOP__

%__install -pD -m644 %name.desktop %buildroot%_datadir/applications/%name.desktop

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_datadir/%name
%_libdir/%name/plugins/cd.lmc
%_libdir/%name/plugins/cd.pmo
%_libdir/%name/plugins/download.ui
%_libdir/%name/plugins/zinf.ui
%_libdir/%name/plugins/http.pmi
%_libdir/%name/plugins/id3lib.mdf
%_libdir/%name/plugins/kjofol.ftf
%_libdir/%name/plugins/local.pmi
%_libdir/%name/plugins/m3u.plf
%_libdir/%name/plugins/misc.mdf
%_libdir/%name/plugins/mbcd.mdf
%_libdir/%name/plugins/musicbrowser.ui
%_libdir/%name/plugins/obs.pmi
%_libdir/%name/plugins/pls.plf
#%_libdir/%name/plugins/rmp.dlf
%_libdir/%name/plugins/soundcard.pmo
%_libdir/%name/plugins/vorbis.lmc
%_libdir/%name/plugins/vorbis.mdf
%_libdir/%name/plugins/wavout.pmo
%_libdir/%name/plugins/winamp.ftf
%_libdir/%name/plugins/xingmp3.lmc
%_libdir/%name/plugins/wav.lmc
%_datadir/applications/%name.desktop
%_datadir/pixmaps/zinf.png
%_menudir/*
%doc AUTHORS ChangeLog NEWS README README

%files esd
%_libdir/%name/plugins/esound.pmo

%files alsa
%_libdir/%name/plugins/alsa.pmo

%files arts
%_libdir/%name/plugins/arts.pmo

%files vorbis
%_libdir/%name/plugins/vorbis.lmc
%_libdir/%name/plugins/vorbis.mdf

%files extras
%_libdir/%name/plugins/irman.ui
%_libdir/%name/plugins/lcd.ui
%_libdir/%name/plugins/cmdline.ui
%_libdir/%name/plugins/mpg123.ui
%_libdir/%name/plugins/ncurses.ui

%if_enabled corba
%files corba
%_libdir/%name/plugins/corba.ui
%endif

%changelog
* Fri Aug 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.4-alt1
- new version.
- Url, Packager tags added
- requires libmusicbrainz-2.0.2
- call {update,clean}_menus in %%post{un}
- .desktop added, menu file fixed.

* Mon Mar 17 2003 Andrey Semenov <mitrofan@altlinux.ru> 2.2.3-alt1
- New version
